function [additionalSubmitArgs] = addSubmitArgs(numberOfNodes,procsPerNode)
%This function is used to add additional PBS submit arguments to the jobs you
%submit. Make the needed changes in "SETTINGS FOR YOUR JOBS".
additionalSubmitArgs = sprintf('-l nodes=%d:ppn=%d', numberOfNodes, procsPerNode);
additionalSubmitArgs = cellstr(additionalSubmitArgs);
%SETTNGS FOR YOUR JOBS 
temp = cellstr('-N default -l walltime=01:00:00 -m abe'); %add additional submit arguments to this string
%END OF SETTINGS
C = cell(1, 2); 
C = [ additionalSubmitArgs temp ]; 
additionalSubmitArgs = strjoin(C);
end